---
updatedAt: 2026-07-28T19:57:20.000Z
---

# Get a list of software event broker versions available for creating event broker services

Get the software event broker versions available to create event broker services.<br><br><a href="https://api.solace.dev/cloud/reference/authentication">Token Permissions</a>: [ <code>event_broker_versions:get</code> ]

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "MISSION CONTROL",
    "description": "Documentation for Mission Control API",
    "version": "2.2.1"
  },
  "servers": [
    {
      "url": "https://api.solace.cloud",
      "description": "Solace Cloud US EAST Region"
    },
    {
      "url": "https://api.solacecloud.com.au",
      "description": "Solace Cloud AU Region"
    },
    {
      "url": "https://api.solacecloud.eu",
      "description": "Solace Cloud EU Region"
    },
    {
      "url": "https://api.solacecloud.sg",
      "description": "Solace Cloud SG Region"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/api/v2/missionControl/eventBrokerServiceVersions": {
      "get": {
        "tags": [
          "Event Broker Services"
        ],
        "summary": "Get a list of software event broker versions available for creating event broker services",
        "description": "Get the software event broker versions available to create event broker services.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>event_broker_versions:get</code> ]",
        "operationId": "getEventBrokerServiceVersions",
        "parameters": [
          {
            "name": "recommended",
            "in": "query",
            "description": "<p>Choose to show only recommended or unrecommended event broker versions for service creation.\nThe default value for this field is blank, which returns all event broker versions,\n recommended and unrecommended. You can sort the responses by selecting:</p>\n <ul><li><code>true</code> - Show only recommended event broker versions.</li>\n <li><code>false</code> - Show only unrecommended event broker versions.</li></ul>",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "releaseChannel",
            "in": "query",
            "description": "<p>The release channel shows the type of broker release. The release types offer differing support and upgrade paths. For more information, seesee <a href=\"https://docs.solace.com/Cloud/understand-event-broker-releases.htm\">Version Adoption</a> in the Solace documentation.</p><p>The filtering options include:</p><ul><li><code>Preview</code> - A pre-10.25 version release for previewing new features.</li><li><code>Production</code> - A pre-10.25 version production release.</li><li><code>Production_LTS</code> - A pre-10.25 version long term support production release.</li><li><code>LTS</code> - A 10.25 version and later, annual production release with two-years of support and maintenance releases.</li><li><code>Rolling</code> - A 10.25 version and later, bi-weekly production release for introducing new features. Rolling releases have two years of support with no maintenance releases.</li><li><code>Declined</code> - Unsupported versions, available for testing.</li></ul>",
            "required": false,
            "explode": false,
            "schema": {
              "type": "string",
              "enum": [
                "PREVIEW",
                "PRODUCTION",
                "PRODUCTION_LTS",
                "LTS",
                "ROLLING",
                "DECLINED"
              ]
            }
          },
          {
            "name": "familyVersion",
            "in": "query",
            "description": "Filter the responses by the family version number. The family version number differs based on the version and is generally the two first to digits of the version number, for example, 10.25. For more information, see <a href=\"https://docs.solace.com/Cloud/broker-version-conventions.htm\">Release and Versioning Scheme of Event Broker Services</a> in the Solace documentation.",
            "required": false,
            "schema": {
              "pattern": "^\\d{2,3}\\.\\d+$",
              "type": "number"
            },
            "example": 10.12
          },
          {
            "name": "datacenterId",
            "in": "query",
            "description": "The unique identifier of the datacenter. The identifier is required when the filterIncompatibleVersions parameter setting is true.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filterIncompatibleVersions",
            "in": "query",
            "description": "Exclude event broker service versions that are incompatible with the datacenter’s Kubernetes version. Requires providing the datacenter ID. The default setting is false.",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "pageNumber",
            "in": "query",
            "description": "The page number for pagination.",
            "required": false,
            "schema": {
              "minimum": 1,
              "type": "integer",
              "default": 1
            },
            "example": 1
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "The number of items per page.",
            "required": false,
            "schema": {
              "maximum": 100,
              "minimum": 1,
              "type": "integer",
              "default": 20
            },
            "example": 20
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order. Define the sort order using the following string: fieldname:asc/desc",
            "required": false,
            "schema": {
              "pattern": "^[a-zA-Z]+:(asc|desc)$",
              "type": "string",
              "default": "version:desc"
            },
            "example": "version:desc"
          }
        ],
        "responses": {
          "200": {
            "description": "OK.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EventBrokerServiceVersionsResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {
              "application/json": {}
            }
          },
          "401": {
            "description": "Unauthorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "message": "An authentication error occurred.",
                  "errorId": "618e2fb0-a198-4d9d-9219-13e51ef0ecec"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "message": "You do not have permissions to perform this operation.",
                  "errorId": "618e2fb0-a198-4d9d-9219-13e51ef0ecec"
                }
              }
            }
          },
          "404": {
            "description": "Not found.",
            "content": {
              "application/json": {}
            }
          },
          "409": {
            "description": "Conflict.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway - Marketplace integration error.",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "503": {
            "description": "Service unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "A user-friendly message that describes the error.",
            "example": "An error occurred."
          },
          "errorId": {
            "type": "string",
            "description": "The UUID (Universally Unique Identifier) that is logged with an appropriate stack trace for a WARN or ERROR log that allows support to better determine what cause the error.",
            "example": "123e4567-e89b-12d3-a456-426655440000"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "description": "The metadata about the error. This provides additional information about the error that occurred.",
              "example": "'object': { 'field': 'description' }"
            },
            "description": "The metadata about the error. This provides additional information about the error that occurred.",
            "example": "'object': { 'field': 'description' }"
          },
          "validationDetails": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
              "example": "'name': ['Not unique']",
              "items": {
                "type": "string",
                "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
                "example": "'name': ['Not unique']"
              }
            },
            "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
            "example": "'name': ['Not unique']"
          }
        }
      },
      "EventBrokerServiceVersion": {
        "required": [
          "capabilities",
          "containerImageTag",
          "endOfFullSupport",
          "endOfTechnicalSupport",
          "minimumK8sVersion",
          "minimumMcaVersion",
          "releaseChannel",
          "releaseDate",
          "releaseNotes",
          "supportedServiceClasses",
          "version"
        ],
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of object for informational purposes."
          },
          "id": {
            "type": "string",
            "description": "Event broker service id.",
            "readOnly": true
          },
          "version": {
            "type": "string",
            "description": "Event broker service version.",
            "example": "10.0.1.62-0"
          },
          "containerImageTag": {
            "type": "string",
            "description": "The container image tag that will be pulled when creating the event broker.",
            "example": "10.0.1.62"
          },
          "supportedServiceClasses": {
            "type": "array",
            "description": "Supported service classes.",
            "example": [
              "DEVELOPER",
              "ENTERPRISE_1K_HIGHAVAILABILITY",
              "ENTERPRISE_1K_STANDALONE"
            ],
            "items": {
              "$ref": "#/components/schemas/ServiceClassId"
            }
          },
          "capabilities": {
            "type": "array",
            "description": "The capabilities of the event broker service.",
            "example": [
              "portDisabling",
              "portRemapping"
            ],
            "items": {
              "type": "string",
              "description": "The capabilities of the event broker service.",
              "example": "[\"portDisabling\",\"portRemapping\"]"
            }
          },
          "releaseChannel": {
            "$ref": "#/components/schemas/ReleaseChannel"
          },
          "releaseNotes": {
            "type": "string",
            "description": "Release notes describing the content of this event broker version.",
            "example": "This release contains..."
          },
          "minimumMcaVersion": {
            "type": "string",
            "description": "The minimum Mission Control Agent version required to deploy this event broker version.",
            "example": "v1.20230905"
          },
          "minimumK8sVersion": {
            "type": "string",
            "description": "The minimum Kubernetes cluster version required to deploy this event broker version.",
            "example": "1.25"
          },
          "releaseDate": {
            "type": "string",
            "description": "The date the event broker version was released, in ISO 8601 date/time format.",
            "format": "date-time",
            "example": "2023-09-05T17:16:21Z"
          },
          "endOfFullSupport": {
            "type": "string",
            "description": "The date full support for the event broker version ends in ISO 8601 date/time format.",
            "format": "date-time",
            "example": "2023-09-05T17:16:21Z"
          },
          "endOfTechnicalSupport": {
            "type": "string",
            "description": "The date technical support for the event broker version ends in ISO 8601 date/time format.",
            "format": "date-time",
            "example": "2023-09-05T17:16:21Z"
          },
          "currentMcaVersion": {
            "type": "string",
            "description": "The current Mission Control Agent version.",
            "example": "v1.20230905"
          },
          "recommended": {
            "type": "boolean",
            "description": "Indicates if the version is recommended.",
            "example": true
          }
        },
        "description": "The event broker service version."
      },
      "EventBrokerServiceVersionsResponse": {
        "required": [
          "data",
          "meta"
        ],
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EventBrokerServiceVersion"
            }
          },
          "meta": {
            "type": "object",
            "additionalProperties": {
              "type": "object"
            }
          }
        }
      },
      "ReleaseChannel": {
        "type": "string",
        "description": "\"The release channel indicates the type of release, either Production or Preview. The release types offer differing support and upgrade paths. See the documentation for more information.",
        "enum": [
          "PREVIEW",
          "PRODUCTION",
          "PRODUCTION_LTS",
          "LTS",
          "ROLLING",
          "DECLINED"
        ]
      },
      "ServiceClassId": {
        "type": "string",
        "description": "Supported service classes.",
        "example": "[\"DEVELOPER\",\"ENTERPRISE_1K_HIGHAVAILABILITY\",\"ENTERPRISE_1K_STANDALONE\"]",
        "enum": [
          "DEVELOPER",
          "ENTERPRISE_250_STANDALONE",
          "ENTERPRISE_1K_STANDALONE",
          "ENTERPRISE_5K_STANDALONE",
          "ENTERPRISE_10K_STANDALONE",
          "ENTERPRISE_50K_STANDALONE",
          "ENTERPRISE_100K_STANDALONE",
          "ENTERPRISE_200K_STANDALONE",
          "ENTERPRISE_250_HIGHAVAILABILITY",
          "ENTERPRISE_1K_HIGHAVAILABILITY",
          "ENTERPRISE_5K_HIGHAVAILABILITY",
          "ENTERPRISE_10K_HIGHAVAILABILITY",
          "ENTERPRISE_50K_HIGHAVAILABILITY",
          "ENTERPRISE_100K_HIGHAVAILABILITY",
          "ENTERPRISE_200K_HIGHAVAILABILITY"
        ]
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```